<?php
/**
 * Binary File Downloader Index
 *
 * $Id: files/index.php, 2004/03/26 16:27:14 Exp $
 */


$cd = '..';
require_once $cd . '/include/config.inc.php';
require_once $cd . '/include/http_headers.inc.php';
require_once './include/fnc_files.inc.php';

session_control();

// XHTML Header
display_header();

display_bin_search_form();

display_menu_list($cd, $admin, $menu_list, $root_path);

// count how many rows are stocked in DB.
$sql = "SELECT DATE_FORMAT(bindate,'%Y-%m') as bindate FROM $info_table GROUP BY bindate ORDER BY bindate";
if ($date_order_desc == 'yes') {
    $sql.= " DESC";
}
bin_archive_by_date($sql);

// Category List
if ($show_bin_categories == 'yes') {
    if ($bin_category_style == 1) {
        display_bin_categories_menu($show_bin_cat_num, $info_table, $enable_unicode, $mysql_lang);
    } elseif ($bin_category_style == 2) {
        display_bin_categories_list($show_bin_cat_num, $info_table, $enable_unicode, $mysql_lang);
    }
}

// File type list
if ($show_filetype == 'yes') {
    if ($filetype_style == 1) {
        display_type_menu($show_type_num, $info_table, $enable_unicode, $mysql_lang);
    }elseif ($filetype_style == 2) {
        display_type_list($show_type_num, $info_table, $enable_unicode, $mysql_lang);
    }
}

// CSS Switcher
if ($use_css_switch == 'yes') { display_css_switch($styles); }

// Menu Bottom
display_menu_bottom($use_rss, $cd, $rss_feed);

// SQL : submit data sort query
$sort_sql  = 'SELECT '.
             "id, bin_title, bintype, binname, binsize, bindate, DATE_FORMAT(bin_mod,'%Y-%m-%d %T') as bin_mod, bin_category, bincomment, bin_count".
             ' FROM '.$info_table.
             ' WHERE draft = 0'.
             " ORDER BY 'bindate' desc LIMIT ".$pagemax;
$res  = mysql_query($sort_sql);
if (!$res) {
    die(mysql_error());
} else {
    $rows = mysql_num_rows($res);
}
// Contents
if ($rows) {
    if ($show_file_date_title == 'yes') { 
        $row = mysql_fetch_array($res);
        // $title_date = substr($row['bindate'], 0, 10);
        date_format($date_style, $row_name = 'bindate');
        $title_date = $formatted_date;
        echo '<h2 class="archive-title">'.$file_index_title.'</h2>'."\n";
        if ($use_2_indexes == 'yes') {
            echo '<p class="flip-link"><strong>'.$lang['by_date'].'</strong> <a href="./index2.php">'.$lang['by_category'].'</a></p>';
        }
       
        echo '<h2 class="date-title">'.$title_date."</h2>\n";
        do { 
            // $tmp_date = substr($row['bindate'], 0, 10);
            date_format($date_style, $row_name = 'bindate');
            $tmp_date = $formatted_date;
            if ($title_date != $tmp_date) { 
                $title_date = $tmp_date;
                echo '<h2 class="date-title">'.$title_date."</h2>\n";
            }
            convert_to_utf8($enable_unicode, $row, $mysql_lang);
            display_binary_box($row, $anchor, $show_md5, $data_table, 
                $show_thumb_nail, $thumb_nail_w, $thumb_nail_h, $show_img_size, $root_path);
        } while ($row = mysql_fetch_array($res));
        $csql = 'SELECT COUNT(id) FROM '.$info_table;
        $cres = mysql_query($csql);
        $ccount = mysql_fetch_row($cres);
        if (($ccount) && ($ccount[0] > $pagemax)) {
            display_prev_logs_navi('files/search');
        }
    } else {
        echo '<h2>'.$lang['recent'].'<strong>'.$rows.'</strong>'.$lang['files']."</h2>\n";
        while ($row = mysql_fetch_array($res)) {
            convert_to_utf8($enable_unicode, $row, $mysql_lang);
            display_binary_box($row, $anchor, $show_md5, $data_table, 
                $show_thumb_nail, $thumb_nail_w, $thumb_nail_h, $show_img_size, $root_path);
        }
        $csql = 'SELECT COUNT(id) FROM '.$info_table;
        $cres = mysql_query($csql);
        $ccount = mysql_fetch_row($cres);
        if (($ccount) && ($ccount[0] > $pagemax)) {
            display_prev_logs_navi('files/search');
        }
    }
} else {
    echo '<h2>Welcome to ' . $blog_title . " !</h2>\n".
         '<p>' . $lang['no_files'] . "</p>\n";
}
footer();
?>
