<?php
/**
 * P_BLOG - Simple & W3C-Valid Log System
 *
 * Copyright (c) 2003-2004 P_BLOG Project.
 * - <http://pbx.homeunix.org/p_blog/>
 *
 * Special Thanx:
 * - AYNiMac           <http://www.aynimac.com/>
 * - Hetima Computer   <http://hetima.com/>
 * - Gabriele Caniglia <http://www.caniglia.info>
 *
 * Main Access to the application
 *
 * $Id: index.php, 2004/05/07 20:42:02 Exp $
 */

$cd = '.';
require_once $cd . '/include/config.inc.php';
require_once $cd . '/include/http_headers.inc.php';
require_once $cd . '/include/fnc_logs.inc.php';

session_control();

// XHTML Header
display_header();

// Search Form
display_log_search_form();

// Menu
display_menu_list($cd, $admin, $menu_list, $root_path);

// SQL : pick up archives by date
$sql = "SELECT DATE_FORMAT(date,'%Y-%m') as date FROM ".$log_table.' WHERE draft = 0 GROUP BY date ORDER BY date';
if ($date_order_desc == 'yes') {
    $sql.= ' DESC';
}
archive_by_date($sql);

// Category List
if ($show_categories == 'yes') {
    if ($category_style == 1) {
        display_categories_menu($show_cat_num, $log_table, $enable_unicode, $mysql_lang);
    } elseif ($category_style == 2) {
        display_categories_list($show_cat_num, $log_table, $enable_unicode, $mysql_lang);
    }
}

// Pre-Recent Menu
if ($show_pre_recent_menu == 'yes') {
    //recent entries
    $sort_sql = 'SELECT'.
                ' id, name, date, category'.
                ' FROM '.$log_table.
                " ORDER BY 'date' desc LIMIT ".$pagemax.','.$pre_recent_max;
    display_recent_entries($root_path.'/'.$top_page, $sort_sql, $enable_unicode, $row, $mysql_lang);
}

// CSS Switcher
if ($use_css_switch == 'yes') { display_css_switch($styles); }

// Menu Bottom
display_menu_bottom($use_rss, $cd, $rss_feed);

//$tz = '0 * 3600';
// Main Contents
$sort_sql = 'SELECT'.
//            " id, href, name, DATE_FORMAT(date + ({$tz}), '%Y-%m-%d %T') as date, DATE_FORMAT(mod + ({$tz}), '%Y-%m-%d %T') as mod, comment, category".
//            " id, href, name, DATE_FORMAT(date + (3600 * 9), '%Y-%m-%d %T') as date, DATE_FORMAT(mod + (3600 * 9), '%Y-%m-%d %T') as mod, comment, category".
//            " id, href, name, DATE_FORMAT(date + (3600 * 0), '%Y-%m-%d %T') as date, DATE_FORMAT(mod + (3600 * 0), '%Y-%m-%d %T') as mod, comment, category".
            " id, href, name, date, DATE_FORMAT(mod, '%Y-%m-%d %T') as mod, comment, category".
            ' FROM '.$log_table.
            ' WHERE draft = 0'.
            " ORDER BY 'date' desc LIMIT ".$pagemax;
$res  = mysql_query($sort_sql);
if (!$res) {
    die(mysql_error());
} else {
    $rows = mysql_num_rows($res);
}
if ($rows) {
    if ($show_date_title == 'yes') {
        $row = mysql_fetch_array($res);
        // Date format
        date_format($date_style, $row_name = 'date');
        $title_date = $formatted_date;
        show_include_text("contents_top", $admin);
        echo '<h2 class="date-title">'.$title_date."</h2>\n";
        do { 
            // Date format
            date_format($date_style, $row_name = 'date');
            $tmp_date = $formatted_date;

            if ($title_date != $tmp_date) { 
                $title_date = $tmp_date;
                echo '<h2 class="date-title">'.$title_date."</h2>\n";
            }
            convert_to_utf8($enable_unicode, $row, $mysql_lang);
            display_article_box($row, $anchor);
        } while ($row = mysql_fetch_array($res));
        $csql = 'SELECT COUNT(id) FROM '.$log_table;
        $cres = mysql_query($csql);
        $ccount = mysql_fetch_row($cres);
        if (($ccount) && ($ccount[0] > $pagemax)) {
            display_prev_logs_navi('search');
        }
    } else {
        echo '<h2>'.$lang['recent'].'<strong>'.$rows.'</strong>'.$lang['logs']."</h2>\n";
        while ($row = mysql_fetch_array($res)) {
            convert_to_utf8($enable_unicode, $row, $mysql_lang);
            display_article_box($row, $anchor);
        }
        $csql = 'SELECT COUNT(id) FROM '.$log_table;
        $cres = mysql_query($csql);
        $ccount = mysql_fetch_row($cres);
        if (($ccount) && ($ccount[0] > $pagemax)) {
            display_prev_logs_navi('search');
        }
    }
} else {
    echo '<h2>Welcome to ' . $blog_title . " !</h2>\n".
         '<p>' . $lang['no_posts'] . "</p>\n";
}

// Access Analyzer
if (($session_status != 'on') && ($use_analyzer == 'yes')) {
    include_once "./analyze/env_info_insert.php";
}
footer();
?>
