<?php
/**
 * P_BLOG Feedback System 1.0E
 *
 * $Id: 2004/05/07 21:08:56 Exp $
 */


//////////////////*  SETTINGS  *//////////////////////

// Target link
$action_target = 'index.php?id=feedback_en';

//////////////////*  SETTINGS  *//////////////////////

// Deny direct access
if (stristr($_SERVER['PHP_SELF'], ".inc.php")){
	die("hello, world! :-p");
}

// Multibyte setting
// mb_language("Japanese");
// mb_internal_encoding('UTF-8');

if (isset($_POST['y_name'], $_POST['e_mail'], $_POST['message'])) {
    if ($_POST['y_name'] == '') {
        echo '<h2>No Name</h2>'.
             '<p>'.SHOW_ERROR_ICON.'&nbsp;Please write your name.</p>';
    } elseif ($_POST['e_mail'] == '') {
        echo '<h2>No E-Mail</h2>'.
             '<p>'.SHOW_ERROR_ICON.'&nbsp;Please write your Email address.</p>';
    } elseif (($_POST['e_mail'] != '') && (!preg_match('/^[^@\s]+@([-a-z0-9]+\.)+[a-z]{2,}$/i', $_POST['e_mail']))) {
        echo '<h2>Invaid E-Mail</h2>'.
             '<p>'.SHOW_ERROR_ICON.'&nbsp;Your Email address is invalid.</p>';
    } elseif ($_POST['message'] == '') {
        echo '<h2>No Messages</h2>'.
             '<p>'.SHOW_ERROR_ICON.'&nbsp;Please write some comments.</p>';
    } else {
        $y_name          = trim(htmlspecialchars(strip_tags($_POST['y_name'])));
        $e_mail          = trim(htmlspecialchars(strip_tags($_POST['e_mail'])));
        $message         = trim(htmlspecialchars(strip_tags($_POST['message'])));
        $mutable_message = "Sender：".$y_name."\nE-Mail: ".$e_mail."\n\nComment；\n".$message."\n";
        
        $subject = $blog_title. ' : Feedback';
        // Preview
        if ((isset($_POST['preview']) && ($_POST['preview'] != ''))) {
            echo '<h2>Preview</h2>'.
                 '<h3>'  .$subject. '</h3>'.
                 '<pre>' .$mutable_message. '</pre>'.
                 '<form method="post" action="'.$action_target.'">'.
                 '<input type="hidden" name="y_name" value="'  .$y_name.  '">'.
                 '<input type="hidden" name="e_mail" value="'  .$e_mail.  '">'.
                 '<input type="hidden" name="subject" value="' .$subject. '" />'.
                 '<input type="hidden" name="message" value="' .$message. '">'.
                 '<input type="submit" name="ok" value="&nbsp;Send&nbsp;" />'.
                 '</form>';
        }
        // Send
        if ((isset($_POST['ok'])) && ($_POST['ok'] != '')) {
            // Convert encoding
            mb_language("ja");
            mb_internal_encoding("UTF-8");
            
            // Convert encoding            
            $subject = stripslashes($subject);
            if (preg_match('/[\x80-\xA0]/', $subject)) {
                $subject = mb_convert_encoding($subject, "ISO-2022-JP", "auto");
            }
               
            $mutable_message  = $mutable_message;
            $mutable_message .= "\n\n-----------------------------------------------------------------------------------------------------------\n\n";
            $mutable_message .= "Browser：".$_SERVER['HTTP_USER_AGENT']."\n\n";
            if (!isset($_SERVER['REMOTE_HOST'])) {
                $_SERVER['REMOTE_HOST'] = @gethostbyaddr($_SERVER['REMOTE_ADDR']);
                $re_host = $_SERVER['REMOTE_HOST'];
            } else {
                $re_host = $_SERVER['REMOTE_HOST'];
            }
            $mutable_message .= "Host：".$re_host."\n";
            $mutable_message .= "Date: ". date("F j, Y, g:i a");
            
            $mutable_message = mb_convert_encoding($mutable_message, "JIS", "auto");
            $header          = "From: ".mb_encode_mimeheader($y_name)."<{$e_mail}>\n";
            $header         .= "X-Mailer: P_BLOG Feedback System 1.0J";
            $param           = "-f{$sendmail_address}";
            if (mb_send_mail($sendmail_address, $subject, $mutable_message, $header, $param)) {
                echo '<h2>Thank You.</h2>'.
                     '<p>Your feedback has been sent.</p>';
            } else {
                echo '<h2>Oops.</h2>'.
                     '<p>Mail sending error.</p>';
            }
        }
    }
} else { // Default
    echo '<h2>Feedback</h2>';
    if ($sendmail_address == '' || $sendmail_address == 'yourname@example.com' || $use_feedback_form != 'yes') {
        echo '<p>Feedback Form is currently OFF.</p>';
    }
    echo '<form method="post" action="'.$action_target.'">'.
         '<p>'.
         '<label for="y_name">Name:</label><br />'.
         '<input type="text" id="y_name" name="y_name" size="30" accesskey="n" tabindex="1" value="" class="bordered" /><br />'.
         '<label for="e_mail">E-Mail:</label><br />'.
         '<input type="text" id="e_mail" name="e_mail" size="30" accesskey="e" tabindex="2" value="" class="bordered" /><br />'.
         '<label for="message">Message:</label><br />'.
         '<textarea id="message" name="message" rows="20" cols="40" accesskey="m" tabindex="3">--</textarea>'.
         '</p>'.
         '<p>'.
         '<input type="reset" accesskey="c" tabindex="4" value="Clear" />'.
         '<input type="submit" accesskey="p" tabindex="5" name="preview" value="Preview" />'.
         '</p>'.
         '</form>';        
}

?>
