<h2>簡易検索について</h2>
<h3>キーワード検索</h3>
<h4>通常検索</h4>
<p>検索する範囲を指定した後、フォームにキーワードを入れてリターンキーを押して下さい。<br />
ヒットしたキーワードは、完全一致したもの(大文字小文字は区別されます)にはカラーがつくようになっています。
簡易検索では、「タイトル」か「コメント」のいずれかにキーワードがヒットするとリストアップされるようになっています。
</p>
<h4>複数キーワード検索</h4>
<ul>
<li>半角スペース区切り : <span class="b"><strong>AND</strong></span> 検索をします。</li>
<li>カンマ区切り : <span class="b"><strong>OR</strong></span> 検索をします。</li>
</ul>
<h2>詳細検索について</h2>
<h3>より詳細な検索をするには？</h3>
<p>検索範囲を細かく絞った検索をする詳細検索が利用出来ます。</p>
<ol>
<li>検索範囲を指定：<br />
「タイトルとコメント」「タイトルのみ」「コメントのみ」「URIのみ」と、検索ターゲットを絞ります。</li>
<li>キーワードを入力<br />
キーワードを入力します(必須)。複数キーワード検索を使う場合は半角スペースで区切り、「全ての語を含む」「いずれかの語を含む」を選択して下さい。</li>
<li>日付けを指定<br />
検索したい日付けを指定します。「全データを対象」「月を指定して検索」「日付けを指定して検索」が利用出来ます。「日付け指定」では、一番古いログと最新のログの日付けが表示されていますので、「最近から一ヶ月くらい前を検索したい」場合などは、左側の日付けを変更して絞り込むと良いでしょう。</li>
<li>カテゴリーを指定<br />
さらに検索対象をカテゴリーで絞りたい場合は、カテゴリーにチェックを入れます（複数選択可）。１つも選択しない場合は全てのカテゴリーが検索対象となります。</li>
</ol>
<p>&rarr;&nbsp;<a href="../search_plus.php">詳細検索</a></p>