<?php echo '<?xml version="1.0" encoding="utf-8" ?>'; ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja">
<head>
<title>DB Install Script</title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<style type="text/css">
body {
    font-family:Trebuchet MS, "ヒラギノ角ゴ Pro W3", sans-serif;
    font-size:12px;
    margin:0px;
}
h1 {
    margin-top:10px; margin-left:0px;margin-bottom:0px;
    width:100%; height:32px;
    border-top:1px solid #669933;
    border-bottom:1px solid #669933;
    padding-top:5px; padding-bottom:5px;
    padding-left:12px;
    color:#666600;
    background:#99CC33;
}
h2 {
    width:100%; height:28px;
    margin-top:1em;
    padding-top:5px; padding-bottom:2px;
    padding-left:12px;
    border-bottom:1px dotted #608020;
    color:#608020;
    background:transparent;
}
h3 {
    padding-left:2em;
    color:#806020;
    background:transparent;
}
/*Anchor Tags*/
a:link {
    color:#6666CC; text-decoration:none;
    background-color:transparent;
}
a:visited {
    color:#806020; text-decoration:none;
    background-color:transparent;
}
a:hover {
    text-decoration:underline; color:#ff6600;
    font-style:normal; background-color:transparent;
}
</style>
<link rev="made" href="mailto:you@domain.org" />
<link rel="start" href="" />
</head>
<body>
<h1>DB INSTALL</h1>
<?php
require_once "../include/user_config.inc.php";
$report_error = 'no'; // yes or no

// ================================================
// Connect
// ================================================
mysql_connect("$host", "$user", "$password") or die ("<h2>MySQL Connection Error</h2>\n<h3>Why?： " .mysql_error()."</h3>\n");


// ================================================
// Select Database
// ================================================
$sql = 'USE ' . $dbname;
$res = mysql_query($sql);
if ($res == FALSE) {
    $sql1 = "CREATE DATABASE $dbname";
    $res1 = mysql_query($sql1);
    if (!$res1) {
        if ($report_error == 'yes') {
            die ("\n<h2>STEP1 : Create DB `$dbname` --- No.</h2>\n<h3>Why?： " .mysql_error()."</h3>\n");
        } else {
            echo "\n<h2>STEP1 : Create DB `$dbname` --- No.</h2>\n";
        }
    } else {
        echo "\n<h2>STEP1 : Create DB `$dbname` --- OK.</h2>\n";
    }
    $sql2 = "USE $dbname";
    $res2 = mysql_query($sql2);
    if (!$res2) {
        if ($report_error == 'yes') {
            die ("\n<h2>STEP2 : Select DB `$dbname`  --- No.</h2>\n<h3>Why?： " .mysql_error()."</h3>\n");
        } else {
            echo "\n<h2>STEP2 : Select DB `$dbname`  --- No.</h2>\n";
        }
    } else {
        echo "\n<h2>STEP2 : Select DB `$dbname`  --- OK.</h2>\n";
    }
} else {
    echo "\n<h2>STEP1 : Create DB `$dbname`  --- Skipped.</h2>\n".
         "\n<h2>STEP2 : Select DB `$dbname`  --- Skipped.</h2>\n";
}

// ================================================
// Create Log table
// ================================================
$sql3 = "
CREATE TABLE {$log_table} (
   id int(11) NOT NULL AUTO_INCREMENT,
   name varchar(100) NOT NULL,
   href varchar(255) NOT NULL,
   category varchar(50) NOT NULL,
   comment longtext NOT NULL,
   date datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
   mod timestamp(14),
   draft TINYINT NOT NULL,
   PRIMARY KEY (id)
)";
$res3 = mysql_query($sql3);
if (!$res3) {
    if ($report_error == 'yes') {
        die ("\n<h2>STEP3 : Create TABLE  `$log_table` --- No.</h2>\n<h3>Why?： " .mysql_error()."</h3>\n");
    } else {
        echo "\n<h2>STEP3 : Create TABLE `$log_table` --- No.</h2>\n";
    }
} else {
    echo "\n<h2>STEP3 : Create TABLE `$log_table` --- OK.</h2>\n";
}


// ================================================
// Create File Info Table
// ================================================
$sql4 = "
CREATE TABLE {$info_table} (
   id INT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
   bin_title VARCHAR(100) NOT NULL,
   bintype VARCHAR(60) NOT NULL DEFAULT 'application/octet-stream',
   binname VARCHAR(100) NOT NULL DEFAULT '',
   binsize BIGINT(20) UNSIGNED NOT NULL,
   bindate DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
   bin_mod timestamp(14),
   bin_category VARCHAR(50) NOT NULL,
   bincomment LONGTEXT NOT NULL,
   bin_count INT NOT NULL,
   draft TINYINT NOT NULL,
   PRIMARY KEY (id)
)";
$res4 = mysql_query($sql4);
if (!$res4) {
    if ($report_error == 'yes') {
        die ("\n<h2>STEP4 : Create TABLE `$info_table` --- Error</h2>\n<h3>Why?： " .mysql_error()."</h3>\n");
    } else {
        echo "\n<h2>STEP4 : Create TABLE `$info_table` --- No.</h2>\n";
    }
} else {
    echo "<h2>STEP4 : Create TABLE `$info_table` --- OK.</h2>\n";
}

// ================================================
// Create Data Table
// ================================================
$sql5 = "
CREATE TABLE {$data_table} (
   id INT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
   masterid INT(8) UNSIGNED NOT NULL DEFAULT '0',
   bindata MEDIUMBLOB NOT NULL,
   PRIMARY KEY (id),
   KEY master_id (masterid)
)";
$res5 = mysql_query($sql5);
if (!$res5) {
    if ($report_error == 'yes') {
        die ("\n<h2>STEP5 : Create TABLE `$data_table` --- No.</h2>\n<h3>Why?： " .mysql_error()."</h3>\n");
    } else {
        echo "\n<h2>STEP5 : Create TABLE `$data_table` --- No.</h2>\n";
    }
} else {
    echo "\n<h2>STEP5 : Create TABLE `$data_table` --- OK.</h2>\n";
}


// ================================================
// Create Analyzer Table
// ================================================
$sql6 = "
CREATE TABLE {$analyze_table} (
   id int DEFAULT '0' NOT NULL auto_increment,
   ref text NOT NULL,
   browser varchar(255) NOT NULL,
   re_host varchar(100) NOT NULL,
   date datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
   PRIMARY KEY (id)
)";
$res6 = mysql_query($sql6);
if (!$res6) {
    if ($report_error == 'yes') {
        die ("\n<h2>STEP6 : Create TABLE  `$analyze_table` --- No.</h2>\n<h3>Why?： " .mysql_error()."</h3>\n");
    } else {
        echo "\n<h2>STEP6 : Create TABLE  `$analyze_table` --- No.</h2>\n";
    }
} else {
    echo "\n<h2>STEP6 : Create TABLE `$analyze_table`  --- OK.</h2>\n";
}


// ================================================
// Create Users Table
// ================================================
$sql7 = "
CREATE TABLE {$user_table} (
   user_id smallint(3) NOT NULL auto_increment,
   user_name varchar(50) NOT NULL,
   user_pass varchar(32) NOT NULL,
   user_mail varchar(50) NOT NULL,
   user_date datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
   PRIMARY KEY (user_id),
   UNIQUE KEY (user_name)
)";
$res7 = mysql_query($sql7);
if (!$res7) {
    if ($report_error == 'yes') {
        die ("\n<h2>STEP7 : Create TABLE `$user_table` --- No.</h2>\n<h3>Why?： " .mysql_error()."</h3>\n");
    } else {
        echo "\n<h2>STEP7 : Create TABLE `$user_table` --- No.</h2>\n";
    }
} else {
    echo "\n<h2>STEP7 : Create TABLE `$user_table`  --- OK.</h2>\n";
}


// ================================================
// Create Session Table
// ================================================
$sql8 = "
CREATE TABLE p_session (
   id VARCHAR(32) NOT NULL,
   sess_var TEXT NOT NULL,
   sess_date INT(11) NOT NULL,
   PRIMARY KEY (id)
)";
$res8 = mysql_query($sql8);
if (!$res8) {
    if ($report_error == 'yes') {
        die ("\n<h2>STEP8 : Create TABLE `p_session` --- No.</h2>\n<h3>Why?： " .mysql_error()."</h3>\n");
    } else {
        echo "\n<h2>STEP8 : Create TABLE `p_session` --- No.</h2>\n";
    }
} else {
    echo "\n<h2>STEP8 : Create TABLE  `p_session`  --- OK.</h2>\n";
}

echo '<h2>STEP9 : FINISH.</h2>';
?>
</body>
</html>