<?php
/**
 * List Up Binary Files By Category
 *
 * $Id: files/category.php, 2004/03/26 16:26:00 Exp $
 */


$cd = '..';
require_once $cd . '/include/config.inc.php';
require_once $cd . '/include/http_headers.inc.php';
require_once './include/fnc_files.inc.php';

session_control();

// XHTML Header
display_header();

display_bin_search_form();

display_menu_list($cd, $admin, $menu_list, $root_path);

// count how many rows are stocked in DB.
$sql = "SELECT DATE_FORMAT(bindate,'%Y-%m') as bindate FROM $info_table GROUP BY bindate ORDER BY bindate";
if ($date_order_desc == 'yes') {
    $sql.= " DESC";
}
bin_archive_by_date($sql);

// Category List
if ($show_bin_categories == 'yes') {
    if ($bin_category_style == 1) {
        display_bin_categories_menu($show_bin_cat_num, $info_table, $enable_unicode, $mysql_lang);
    } elseif ($bin_category_style == 2) {
        display_bin_categories_list($show_bin_cat_num, $info_table, $enable_unicode, $mysql_lang);
    }
}

// File type list
if ($show_filetype == 'yes') {
    if ($filetype_style == 1) {
        display_type_menu($show_type_num, $info_table, $enable_unicode, $mysql_lang);
    } elseif ($filetype_style == 2) {
        display_type_list($show_type_num, $info_table, $enable_unicode, $mysql_lang);
    }
}

// CSS Switcher
if ($use_css_switch == 'yes') { display_css_switch($styles); }

// Menu Bottom
display_menu_bottom($use_rss, $cd, $rss_feed);

//=====================================================
// PREPARE SEARCH QUERY
//=====================================================
against_xss();

if ((isset($_GET['k'])) || (isset($_GET['p'])) || (isset($_GET['d']) || (isset($_GET['pn'])))) {
    if ($enable_unicode == 'on') {
        $key = mb_convert_encoding($_GET['k'], $mysql_lang, "utf-8");
    } else {
        $key = $_GET['k'];
    }

    $page  = $_GET['p'];
    $date  = $_GET['d'];
    
    $sql  = 'SELECT '.
            "id, bin_title, bintype, binname, binsize, bindate, DATE_FORMAT(bin_mod,'%Y-%m-%d %T') as bin_mod, bin_category, bincomment, bin_count".
            ' FROM '.$info_table.' WHERE (draft = 0) AND ('.
            "bin_category REGEXP BINARY '^".$key."$|^".$key.",|,".$key.",|,".$key."$|,?".$key.",|,?".$key."$')";
    if ($date != '') { " AND (bindate LIKE '".$date."%')"; }
    $sql .= " ORDER BY bindate DESC LIMIT {$page}, {$pagemax} ";

    //=====================================================
    // SUBMIT SEARCH QUERY
    //=====================================================
    if ($res = mysql_query($sql)) {
        // query results --- count all hit data
        $countsql = "SELECT id FROM {$info_table} WHERE (draft = 0) AND (";
        $countsql .= "bin_category REGEXP BINARY '^".$key."$|^".$key.",|,".$key.",|,".$key."$|,?".$key.",|,?".$key."$')";
        if ($date != '') { " AND (bindate LIKE '".$date."%')"; }
        $hitres = mysql_query($countsql);
        $hitrow = mysql_num_rows($hitres);

        //show the hit data info.
        $rows = mysql_num_rows($res);
        if ($enable_unicode == 'on') {
            $key = mb_convert_encoding($key, "UTF-8", $mysql_lang);
        }
        if ($key != '') {
            echo '<h2 class="archive-title">'.$lang['category'].
                 ' : '.htmlspecialchars(stripslashes($key))."</h2>\n<p>\n".
                 $lang['categ_list'];

            $disp_page = $page + 1;
            $disp_rows = $page + $rows;
            echo '<span class="search-res">'.$hitrow.'</span> '.$lang['hit_msg'].'&nbsp;'.
                 '<span class="search-res">'.$disp_page.' - '.$disp_rows.'</span> / '.
                 '<span class="search-res">'.$hitrow."</span>\n";
            if ($date != '') {
               echo '&nbsp;&nbsp;&nbsp;&nbsp;'.$lang['by_month'].'：<span class="search-res">'.$date."</span>\n</p>\n";
            } else {
                echo "</p>\n";
            }
        }
        //=================================================
        // SHOW THE RESULTS!
        //=================================================
        if ($hitrow) {
            display_page_flip($field = 'bin_category', $keyword = $key, $case = '1', $hit_row = $hitrow);
            if ($show_file_date_title == 'yes') { 
                $row = mysql_fetch_array($res);
                // $title_date = substr($row['bindate'], 0, 10);
                date_format($date_style, $row_name = 'bindate');
                $title_date = $formatted_date;
                echo '<h2 class="date-title">'.$title_date."</h2>\n";
                do { 
                    // $tmp_date = substr($row['bindate'], 0, 10);
                    date_format($date_style, $row_name = 'bindate');
                    $tmp_date = $formatted_date;
                    if ($title_date != $tmp_date) { 
                        $title_date = $tmp_date;
                        echo '<h2 class="date-title">'.$title_date."</h2>\n";
                    }
                    convert_to_utf8($enable_unicode, $row, $mysql_lang);
                    display_binary_box($row, $anchor, $show_md5, $data_table, 
                        $show_thumb_nail, $thumb_nail_w, $thumb_nail_h, $show_img_size, $root_path);
                } while ($row = mysql_fetch_array($res));
            } else {
                while ($row = mysql_fetch_array($res)) {
                    convert_to_utf8($enable_unicode, $row, $mysql_lang);
                    display_binary_box($row, $anchor, $show_md5, $data_table, 
                        $show_thumb_nail, $thumb_nail_w, $thumb_nail_h, $show_img_size, $root_path);
                }
            }
            display_page_flip($field = 'bin_category', $keyword = $key, $case = '1', $hit_row = $hitrow);
        } else {
            echo '<h3>'.$lang['no_matches']."</h3>\n";
        }
    }
} else {
    echo '<h2>'.$lang['search']."</h2>\n".
         "\n<p>".$lang['status_idle']."</p>\n";
    footer();
    exit;
}
footer();
?>