<?php
/**
 * Functions for BIN FILES Page
 *
 * $Id: fnc_files.inc.php, 2004/04/25 23:57:17 Exp $
 */
 

/**
 * BIN FILES search form
 */
function display_bin_search_form() 
{
    global $lang, $form_length, $search_plus_anchor;
    echo <<<EOD
<form id="search" action="./search.php" method="get">
<table summary="search data">
<tr><td>
<input tabindex="2" accesskey="k" type="text" name="k" value="" size="{$form_length}" title="{$lang['enter_keywords']}" />
</td><td>
<input type="submit" accesskey="g" tabindex="4" class="search-button" value="{$lang['go']}" />
<input type="hidden" name="d" value="" />
</td><td>
<a href="./search_plus.php" title="{$lang['advanced_search']}" class="search-plus">{$search_plus_anchor}</a>
<input type="hidden" name="p" value="0" />
<input type="hidden" name="c" value="0" />
<input type="hidden" name="pn" value="1" />
<input type="hidden" name="f" value="" />
</td></tr>
</table>
</form>
EOD;
}


/**
 * BIN FILES Archive Sort Form By Date (Monthly)
 */
function bin_archive_by_date($sql) 
{
    global $lang;
    $res = mysql_query($sql);
    echo <<<EOD
<form id="archives" action="./search.php" method="get">
<div class="archive-by-date">
<input type="hidden" name="k" value="" />
<input type="hidden" name="p" value="0" />
<input type="hidden" name="c" value="0" />
<input type="hidden" name="pn" value="1" />
<select name="d" tabindex="3" onchange="if(document.forms.archives.d.value != '-'){this.form.submit();}" title="{$lang['show_archives']}">
<option value="-"  selected="selected">{$lang['archives']}</option>
<option value="-" disabled="disabled">- - -</option>
EOD;
    while ($date_row = mysql_fetch_row($res)) {
        $year_month = "".$date_row[0]."";
        echo '<option>'.$year_month."</option>\n";
    }
    echo <<<EOD
<option value="-" disabled="disabled">- - -</option>
<option value="all"> {$lang['all_data']} </option>
</select>
<noscript> 
<div class="noscript"><input type="submit" accesskey="s" tabindex="6" value="go" /></div>
</noscript>
</div>
</form>
EOD;
}



/**
 * Category Menu for BIN FILES
 */
/* generate catagory array for BIN FILES */
function bin_categories_name_array($show_bin_cat_num, $info_table, $enable_unicode, $mysql_lang) 
{
    $sql = 'SELECT bin_category FROM ' . $info_table . ' WHERE draft = 0'; 
    $res = mysql_query($sql);
    $rowArray = array();
    while ($row = mysql_fetch_array($res)) {
        convert_to_utf8($enable_unicode, $row, $mysql_lang);
        $token = strtok($row['bin_category'], ",");
        while ($token) {
            array_push($rowArray, trim($token));
            $token = strtok(",");
        }
    }
    if ($show_bin_cat_num == 'yes') {
        $rowArray = array_count_values($rowArray);
        ksort($rowArray, SORT_STRING);
    } else {
        $rowArray = array_unique($rowArray);
        sort($rowArray, SORT_STRING);
    }
    return $rowArray;
}

/* BIN FILES category menu style 1 : Form */
function display_bin_categories_menu($show_bin_cat_num, $info_table, $enable_unicode, $mysql_lang) 
{
    global $lang;
    echo <<<EOD
<form id="category" action="./category.php" method="get">
<div class="category-menu">
<select name="k" tabindex="4" onchange="if(document.forms.category.k.value != '-'){this.form.submit();}" title="{$lang['category']}">
<option value="-" selected="selected">{$lang['category']}</option>
<option value="-" disabled="disabled">- - -</option>
EOD;
    if ($show_bin_cat_num == 'yes') {
        foreach (bin_categories_name_array($show_bin_cat_num, $info_table, $enable_unicode, $mysql_lang) as $str=>$num) {
            echo '<option value="'.htmlspecialchars($str).'">'.htmlspecialchars($str).' ('.$num.")</option>\n";
        }
    } else {
        foreach (bin_categories_name_array($show_bin_cat_num, $info_table, $enable_unicode, $mysql_lang) as $str) { 
            echo '<option>'.htmlspecialchars($str)."</option>\n";
        }
    }
    echo <<<EOD
</select>
<input type="hidden" name="d" value="" />
<input type="hidden" name="p" value="0" />
<input type="hidden" name="pn" value="1" />
<input type="hidden" name="c" value="" />
<noscript> 
<div class="noscript"><input type="submit" accesskey="s" tabindex="6" value="go" /></div>
</noscript>
</div>
</form>
EOD;
}


/* Binary category menu style 2 : List */
function display_bin_categories_list($show_bin_cat_num, $info_table, $enable_unicode, $mysql_lang) 
{
    global $lang;
    echo <<<EOD
<div class="menu">
<h2>{$lang['category']}</h2>
<ul>
EOD;
    if ($show_bin_cat_num == 'yes') {
        foreach (bin_categories_name_array($show_cat_num = "$show_bin_cat_num", $log_table = "$info_table", $enable_unicode, $mysql_lang) as $str=>$num) {        
            echo '<li><a href="./category.php?k=' . rawurlencode($str) .
                 '&amp;d=&amp;p=0&amp;pn=1&amp;c=1">' .htmlspecialchars($str). ' (' .$num. ")</a></li>\n";
        }
    } else {
        foreach (bin_categories_name_array($show_cat_num = "$show_bin_cat_num", $log_table = "$info_table", $enable_unicode, $mysql_lang) as $str) { 
            echo '<li><a href="./category.php?k=' . rawurlencode($str) .
                 '&amp;d=&amp;p=0&amp;pn=1&amp;c=1">' .htmlspecialchars($str). "</a></li>\n";
        }
    }
    echo <<<EOD
</ul>
</div>
EOD;
}


/**
 * File Type Menu for Binary File
 */
function type_name_array($show_type_num, $info_table, $enable_unicode, $mysql_lang) 
{
    $sql = 'SELECT bintype FROM ' . $info_table;
    $res = mysql_query($sql);
    $rowArray = array();
    while ($row = mysql_fetch_array($res)) { 
        convert_to_utf8($enable_unicode, $row, $mysql_lang);
        $token = strtok($row['bintype'], "/");
        while ($token) { 
            array_push($rowArray, trim($token));
            $token = strtok("/");
        }
    }
    if ($show_type_num == 'yes') {
        $rowArray = array_count_values($rowArray);
        ksort($rowArray, SORT_STRING);
    } else {
        $rowArray = array_unique($rowArray);
        sort($rowArray, SORT_STRING);
    }
    return $rowArray;
}

/* Binary Type Menu Style 1 : Form */
function display_type_menu($show_type_num, $info_table, $enable_unicode, $mysql_lang) 
{
    global $lang;
    echo <<<EOD
<form id="filetype" action="./search_plus.php" method="get"> 
<div class="category-menu"> 
<select name="k" tabindex="4" onchange="if(document.forms.filetype.k.value != '-'){this.form.submit();}" title="{$lang['category']}"> 
<option value="-"  selected="selected">{$lang['file_type']}</option> 
<option value="-" disabled="disabled"> - - - </option> 
EOD;
    if ($show_type_num == 'yes') {
        foreach (type_name_array($show_type_num, $info_table, $enable_unicode, $mysql_lang) as $str=>$num) {
            echo '<option value="'.htmlspecialchars($str).'">'.htmlspecialchars($str).' ('.$num.")</option>\n";
        }
    } else {
        foreach (type_name_array($show_type_num, $info_table, $enable_unicode, $mysql_lang) as $str) { 
            echo '<option>'.htmlspecialchars($str)."</option>\n";
        }
    }
    echo <<<EOD
</select>
<input type="hidden" name="f" value="3" />
<input type="hidden" name="ao" value="" /> 
<input type="hidden" name="ds" value="" />
<input type="hidden" name="d" value="" />
<input type="hidden" name="d1" value="" />
<input type="hidden" name="d2" value="" />
<input type="hidden" name="p" value="0" />
<input type="hidden" name="c" value="1" />
</div>
<noscript> 
<div class="noscript"><input type="submit" accesskey="g" tabindex="5" value="go" /></div>
</noscript>
</form>
EOD;
}

/* Binary Type Menu Style 2 : List */
function display_type_list($show_type_num, $info_table, $enable_unicode, $mysql_lang) 
{
    global $lang;
    echo <<<EOD
<div class="menu">
<h2>{$lang['file_type']}</h2>
<ul>
EOD;
    if ($show_type_num == 'yes') {
        foreach (type_name_array($show_type_num, $info_table, $enable_unicode, $mysql_lang) as $str=>$num) {        
            echo '<li><a href="./search_plus.php?f=3&amp;k=' . rawurlencode($str) .
                 '&amp;ao=&amp;ds=&amp;d=&amp;d1=&amp;d2='.
                 '&amp;p=0&amp;c=1">' .htmlspecialchars($str). ' (' .$num. ")</a></li>\n";
        }
    } else {
        foreach (type_name_array($show_type_num, $info_table, $enable_unicode, $mysql_lang) as $str) { 
            echo '<li><a href="./search_plus.php?f=3&amp;k=' . rawurlencode($str) .
                 '&amp;ao=&amp;ds=&amp;d=&amp;d1=&amp;d2='.
                 '&amp;p=0">' .htmlspecialchars($str). "</a></li>\n";
        }
    }
echo <<<EOD
</ul>
</div>
EOD;
}



//================================================================
// CONTENT-BOX
//================================================================
/**
 * Article Box for Binary File Page
 */
function display_binary_box($row, $anchor, $show_md5, $data_table, $show_thumb_nail, $thumb_nail_w, $thumb_nail_h, $show_img_size, $root_path) 
{
    global $xml_version, $lang, $show_date_title, $show_date_time, $date_style, 
           $use_download_counter, $cd, $session_status, $admin_dir_name;

    $bin_type = $row['bintype'];        //Check file types
    $bin_size = $row['binsize'] / 1024; // Convert "Byte" to "KB"
    settype($bin_size, "integer");      //Convert size to integer
    
    // when in admin mode, change the directory of anchor image
    $anchor            = preg_replace('/src="\./', 'src="'.$cd, $anchor);
    $row['bincomment'] = preg_replace('/src="\./', 'src="'.$cd, $row['bincomment']);
    
    switch ($xml_version) {
        case '1.1':
            $a_name = '';
            break;
        default:
            $a_name = 'name="a'.$row['id'].'" ';
            break;
    }
    echo <<<EOD
<div class="article-box">
<h3 class="article-title">
<a id="a{$row['id']}" {$a_name}href="./article.php?id={$row['id']}" class="anchor">{$anchor}</a>
<strong>{$row['bin_title']}</strong>
</h3>
EOD;
    if ($show_date_title == 'yes') {
        switch($date_style) {
            case '1':
                $df = 'Y/m/d';
                break;
            case '2':
                $df = 'M d, Y';
                break;
            default:
                $df = 'Y-m-d';
                break;
        }
        $row['bindate']  = date($df.' g:i:s A', strtotime($row['bindate']));
        $row['bin_mod']  = date($df.' g:i:s A', strtotime($row['bin_mod']));
    }
    if ($row['bindate'] != $row['bin_mod']) {
        $row['bindate']  = date('g:i:s A', strtotime($row['bindate']));
        $mod_str = ',&nbsp;&nbsp;'.$lang['mod'].' :&nbsp;<strong>'.$row['bin_mod'].'</strong>';
    } else {
        $row['bindate']  = date('g:i:s A', strtotime($row['bindate']));
        $mod_str = '';
    }
    // show date time
    if ($show_date_time == 'yes') {
        $date_time = '<div class="date">' . $lang['post'] . ' :&nbsp;<strong>' . $row['bindate'] . '</strong>' . $mod_str . '</div>';
    } else {
        $date_time = '';
    }
    echo <<<EOD
{$date_time}
<div class="comment">
EOD;
    //thumb nail display
    if ($show_thumb_nail == 'yes') {
        if ($bin_type == "image/jpeg" || 
            $bin_type == "image/png"  || 
            $bin_type == "image/gif") {
            echo '<a href="http://' . $_SERVER["HTTP_HOST"] . $root_path . 'files/bin.php?id='. $row['id'] .'">'.
                 '<img src="http://' . $_SERVER["HTTP_HOST"] . $root_path . 'files/bin.php?id='. $row['id'] .'" width="'.$thumb_nail_w.'" height="'.$thumb_nail_h.'" alt="image" class="thumb-nail" />'.
                 '</a>';
            if ($show_img_size == 'yes') {
                $img_data = getimagesize('http://' . $_SERVER["HTTP_HOST"] . $root_path . 'files/bin.php?id='.$row['id']);
                echo '<br />( '.$img_data[0].' &times; '.$img_data[1].' px )';
            }
        }
    }
    if ($use_download_counter == 'yes') {
        $bin_script    = 'dl';
    } else {
        $bin_script    = 'bin';
    }
    echo $row['bincomment'] . "\n".
         '<p class="download">'.
         '<strong>&rarr;&nbsp;'.
         '<a href="http://' . $_SERVER["HTTP_HOST"] . $root_path . 'files/' . $bin_script . '.php?id=' . $row['id'] . '">'.
         $row['binname'] .
         '</a>'.
         '</strong> ( ' . $bin_type . ' : ' . $bin_size . ' KB) </p>';

    if ($show_md5 == 'yes') {
        display_md5($row, $data_table);
    }
    echo <<<EOD
</div>
<div class="a-footer">ID&nbsp;{$row['id']}&nbsp;&nbsp;-&nbsp;&nbsp;{$row['bin_category']}
EOD;
    if ($session_status == 'on') {
        echo <<<EOD
<form action="{$cd}/{$admin_dir_name}/update.php" method="post">
<div class="submit-button">
<input type="hidden" name="id" value="{$row['id']}" />
<input type="hidden" name="mode" value="bin" />
<input type="hidden" name="post_username" value="" />
<input type="hidden" name="post_password" value="" />
<input type="submit" value="{$lang['mod_del']}" />
</div>
</form>
EOD;
    }
    echo "</div>\n</div>\n";
}


/**
 * MD5 Generator for binary file downloader
 */
function display_md5($row, $data_table) 
{
   $binid = $row['id'];
   $md5_sql = "SELECT md5(bindata) from {$data_table} WHERE masterid = {$binid}";
   if ($md5_res = mysql_query($md5_sql)) {
       $md5_row = mysql_fetch_array($md5_res);
       echo '<p class="md5">MD5 : '.$md5_row[0]."</p>\n";
   } else {
       echo '<p class="md5">MD5 : None</p>';
   }
}


//////////////////////////////////////////////////////////////////////////////////////////////
// Deny direct access to this file

if (stristr($_SERVER['PHP_SELF'], ".inc.php")) {
    header("HTTP/1.1 301 Moved Permanently");
    header("Location: http://" . $_SERVER['SERVER_NAME'] . dirname($_SERVER['REQUEST_URI']) . "/index.php");
}
?>