<?php
/**
 * Post New Comment
 *
 * $Id: forum/add.php, 2004/04/25 23:28:36 Exp $
 */

$cd = '..';
require_once $cd . '/include/config.inc.php';
require_once $cd . '/include/fnc_error_msgs.inc.php';
require_once $cd . '/include/http_headers.inc.php';
require_once './include/fnc_search.inc.php';
require_once './include/fnc_forum.inc.php';

// XHTML Header
display_header();

// Forum Search Form
display_forum_search_form();

// Pick up archives by date
$sql = "SELECT DATE_FORMAT(date,'%Y-%m') as date FROM p_forum GROUP BY date ORDER BY date";
if ($date_order_desc == 'yes') {
    $sql.= ' DESC';
}

display_menu_list($cd, $admin = '', $menu_list, $root_path);

// Archive Form
archive_by_month($sql);

// CSS Switcher
if ($use_css_switch == 'yes') { display_css_switch($styles); }

// Menu Bottom
display_menu_bottom($use_rss = 'no', $cd, $rss_feed);

if (isset($_GET['refer_id'])) {
    $refer_id  = $_GET['refer_id'];
    $refer_sql = 'SELECT name FROM ' . $log_table . ' WHERE id = ' . $refer_id;
    $refer_res = mysql_query($refer_sql);
    if ($row = mysql_fetch_array($refer_res)) {  
        convert_to_utf8($enable_unicode, $row, $mysql_lang);         
        $refer_log_title = 'Re: ' . $row['name'];
        $post_title = '<h2>&raquo;&nbsp;<a href="../article.php?id=' . $refer_id . '">' . $row['name'] . "</a></h2>\n";
    }
} else {
    $refer_log_title = '';
    $refer_id        = '0';
    $post_title      = '';
}

// Cookies
if (isset($_COOKIE['p_blog_forum_user'])) {
    $user_name = $_COOKIE['p_blog_forum_user'];
    $checked   = 'checked="checked"';
} else {
    $user_name = '';
    $checked   = '';
}
if (isset($_COOKIE['p_blog_forum_email'])) {
    $user_email = $_COOKIE['p_blog_forum_email'];
} else {
    $user_email = '';
}
if (isset($_COOKIE['p_blog_forum_uri'])) {
    $user_uri = $_COOKIE['p_blog_forum_uri'];
} else {
    $user_uri = '';
}

echo <<<EOD
<p class="flip-menu">
<a href="./index.php">{$lang['topic_list']}</a>
<span class="cur-tab">{$lang['add_new']}</span>
</p>
{$post_title}
<form id="addform" action="./added.php" method="post" onsubmit="return ForumInputCheck()">
<div id="post-comment">
<dl>
<dt>{$lang['name']}</dt>
<dd><input type="text" accesskey="n" tabindex="2" name="user_name" value="{$user_name}" class="bordered" /></dd>
<dt>E-Mail</dt>
<dd><input type="text" accesskey="e" tabindex="3" name="user_email" value="{$user_email}" class="bordered" />({$lang['private']})</dd>
<dt>URI</dt>
<dd><input type="text" accesskey="u" tabindex="4" name="user_uri" value="{$user_uri}" size="30" class="bordered" /> ({$lang['optional']})</dd>
<dd><input type="checkbox" accesskey="c" tabindex="5" name="p_blog_forum_cookie" {$checked} />Cookie</dd>
<dt>{$lang['title']}</dt>
<dd><input type="text" accesskey="t" tabindex="6" name="title" value="{$refer_log_title}" size="30" class="bordered" /></dd>
<dt>{$lang['comment']}</dt>
<dd>
<input type="radio" accesskey="0" tabindex="7" name="color" value="0" checked="checked" /><span id="color-default">&clubs;</span>
<input type="radio" accesskey="1" tabindex="7" name="color" value="1" /><span id="color-1">&diams;</span>
<input type="radio" accesskey="2" tabindex="7" name="color" value="2" /><span id="color-2">&hearts;</span>
<input type="radio" accesskey="3" tabindex="7" name="color" value="3" /><span id="color-3">&spades;</span><br /></dd>
<dd><textarea accesskey="m" tabindex="8" rows="15" cols="30" name="comment"></textarea></dd>
<dt>{$lang['user_pass']}</dt>
<dd><input accesskey="p" tabindex="9" type="password" name="user_pass" value="" class="bordered" /></dd>
</dl>
<p id="comment-submit">
<input type="hidden" name="refer_id" value="{$refer_id}" />
<input type="reset" accesskey="r" tabindex="10" value="RESET" />
<input type="submit" accesskey="s" tabindex="11" value="POST" />
</p>
</div>
</form>
EOD;

footer();
?>