<?php
/**
 * Forum Admin Top
 * 
 * $Id: forum/admin/index.php, 2004/04/26 09:51:27 Exp $
 */

$cd = '../..';
require_once $cd . '/include/config.inc.php';
require_once $cd . '/include/http_headers.inc.php';
require_once $cd . '/include/search_plus.inc.php';
require_once $cd . '/include/fnc_error_msgs.inc.php';
require_once '../include/fnc_search.inc.php';
require_once '../include/fnc_forum.inc.php';

if ($use_session_db == 'yes') {
    require_once "{$cd}/{$admin_dir_name}/db_session.php";
} else {
    session_name($p_blog_sess_name);
    session_start();
}

// XHTML Header
display_header();

echo '</div><div class="wide-content">';

//=====================================================
// PREPARE SEARCH QUERY
//=====================================================

// allow access from :
// (1) admin mode with id & password 
// (2) page flip with "$_GET" parameters

if (((isset($_SESSION['admin_login'], $_POST['post_password'], $_POST['post_username'])) && (!isset($_GET['k'], $_GET['p'], $_GET['d'], $_GET['c'], $_GET['pn']))) or 
    (isset($_SESSION['admin_login'], $_SESSION['user_name'], $_SESSION['user_pass']))) {
    if ($_SESSION['admin_login'] == '') {
        $_POST['post_password'] = md5($_POST['post_password']);
        $sql = "SELECT user_id FROM p_blog_user WHERE user_pass = '". $_POST['post_password'] ."' AND user_name = '". $_POST['post_username'] ."' LIMIT 1";
        $res = mysql_query($sql);
        $row = mysql_num_rows($res);
        if ($row != 0) {
            $_SESSION['user_name']   = $_POST['post_username'];
            $_SESSION['user_pass']   = $_POST['post_password'];
            $_SESSION['admin_login'] = TRUE;
        } else {
            wrong_user_error();
            exit;
        }
    }
    if (($_SESSION['admin_login'] == 1) && (isset($_SESSION['user_name'], $_SESSION['user_pass']))) {
        echo <<<EOD
<p class="flip-menu">
<a href="../../{$admin_dir_name}/admin_top.php" class="title">{$lang['admin']} TOP</a>
<strong>{$lang['topic_list']}</strong>
</p>
<h3>{$lang['login_user']} : {$_SESSION['user_name']}</h3>
EOD;
        against_xss();
        if (!isset($_GET['k'], $_GET['p'], $_GET['d'], $_GET['c'], $_GET['pn'])) {
            $_GET['k']  = '';
            $_GET['p']  = '0';
            $_GET['d']  = '';
            $_GET['c']  = '0';
            $_GET['pn'] = '1';
        }

        if (isset($_GET['k'], $_GET['p'], $_GET['d'], $_GET['c'], $_GET['pn'])) {
            if ($enable_unicode == 'on') {
                $keyword = mb_convert_encoding(trim($_GET['k']), $mysql_lang, "auto");
            } else {
                $keyword = trim($_GET['k']);
            }
            $page  = $_GET['p'];
            $date  = $_GET['d'];
            $case  = $_GET['c'];
    
            if (($page != '') & ($case != '')) {
                $sql = 'SELECT'.
                       " id, tid, parent_key, title, comment, user_name, user_pass, user_mail, date, DATE_FORMAT(mod, '%Y/%m/%d %T') as mod".
                       ' FROM p_forum'.
                       ' WHERE parent_key = 1'.
                       " ORDER BY mod DESC LIMIT {$page}, {$pagemax} ";
            }
            //=====================================================
            // SUBMIT SEARCH QUERY
            //=====================================================
            $res = mysql_query($sql);
            if ($res) {
                $count_sql = 'SELECT id FROM p_forum WHERE parent_key = 1';
                $hit_res = mysql_query($count_sql);
                $hit_row = mysql_num_rows($hit_res);
    
                // Show the hit data info.
                $rows = mysql_num_rows($res);
                if ($enable_unicode == 'on') {
                    $keyword = mb_convert_encoding($keyword, "UTF-8", $mysql_lang);
                }
        
                //=================================================
                // SHOW THE RESULTS!
                //=================================================
                if ($hit_row) {
                    // display the number of the topic
                    $disp_page = $page + 1;
                    $disp_rows = $page + $rows;
                    echo '<p class="search-res">'.
                         '<span class="search-res">'.$hit_row.'</span> '.$lang['topics'].'&nbsp;'.
                         '<span class="search-res">'.$disp_page.' - '.$disp_rows.'</span> / '.
                         '<span class="search-res">'.$hit_row.'</span></p>'.
                         // display topic list table
                         '<table class="forum-topic-table" summary="Topic List">'."\n".
                         "<tr>\n".
                         '<th summary="Topic">'.$lang['topic'].'</th>'."\n".
                         '<th summary="Number of Replies">'.$lang['reply'].'</th>'."\n".
                         '<th summary="Author">'.$lang['posted_by'].'</th>'."\n".
                         '<th summary="Modify">'.$lang['last_modified'].'</th>'."\n".
                         '<th class="mod-del" summary="Delte">'.$lang['delete'].'</th>'."\n".
                         "<tr>\n";
                    while ($row = mysql_fetch_array($res)) {
                        // sanitize
                        $row['tid']        = sanitize(intval($row['tid']));
                        $row['parent_key'] = sanitize(intval($row['parent_key']));
                        $row['title']      = sanitize($row['title']);
                        $row['user_name']  = sanitize($row['user_name']);
                        $row['mod']        = sanitize($row['mod']);
                        $row['date']       = sanitize($row['date']);
                        
                        // check the number of replies
                        $rep_sql = 'SELECT COUNT(id) FROM p_forum WHERE tid = ' . $row['tid'] . ' AND parent_key = 0';
                        $rep_res = mysql_query($rep_sql);
                        $rep_row = mysql_fetch_array($rep_res);

                        // convert to UTF-8
                        if ($enable_unicode == 'on') {
                            convert_to_utf8($enable_unicode, $row, $mysql_lang);
                        }
                        echo "<tr>\n".
                             '<td class="colored"><a href="./topic.php?tid='. $row['tid'] .'&amp;p=0">' . $row['title'] . "</a></td>\n".
                             '<td class="colored">' . $rep_row[0] . "</td>\n".
                             '<td class="colored">' . $row['user_name'] . "</td>\n".
                             '<td class="colored">' . $row['mod'] . "</td>\n".
                             '<td class="colored">' . "\n".
                             '<form method="post" action="./delete.php">'."\n".
                             '<input type="hidden" name="tid" value="'.$row['tid'].'" />'."\n".
                             '<input type="submit" value="&nbsp;'.$lang['delete'].'&nbsp;" />'."\n".
                             "</form>\n".
                             "</td>\n".
                             "</tr>\n";
                    }
                    echo "</table><br />\n";
                    display_page_flip_forum();
                } else {
                    echo '<p>' . $lang['no_posts'] . "</p>\n";
                }
            }
        }
    }
} else {
    wrong_user_error();
    exit;
}
footer();
?>
    