<?php
/**
 * Reply to the Forum
 *
 * $Id: forum/reply.php, 2004/04/11 10:44:03 Exp $
 */

$cd = '..';
require_once $cd . '/include/config.inc.php';
require_once $cd . '/include/fnc_error_msgs.inc.php';
require_once $cd . '/include/http_headers.inc.php';
require_once './include/fnc_search.inc.php';
require_once './include/fnc_forum.inc.php';

// XHTML Header
display_header();

// Forum Search Form
display_forum_search_form();

// Pick up archives by date
$sql = "SELECT DATE_FORMAT(date,'%Y-%m') as date FROM p_forum GROUP BY date ORDER BY date";
if ($date_order_desc == 'yes') {
    $sql.= ' DESC';
}
display_menu_list($cd, $admin = '', $menu_list, $root_path);

// Archive Form
archive_by_month($sql);

// CSS Switcher
if ($use_css_switch == 'yes') { display_css_switch($styles); }

// Menu Bottom
display_menu_bottom($use_rss = 'no', $cd, $rss_feed);

if (isset($_GET['tid'])) {
    if (isset($_GET['qid']) && ($_GET['qid'] != '')) {
        $tid = intval($_GET['tid']);
        $qid = intval($_GET['qid']);
        $sql = 'SELECT * FROM p_forum WHERE tid = ' . $tid . ' AND id = ' . $qid;
        $res = mysql_query($sql);
        $row = mysql_fetch_array($res);
    } else {
        $tid = intval($_GET['tid']);
        $sql = 'SELECT * FROM p_forum WHERE tid = ' . $tid . ' AND parent_key = 1';
        $res = mysql_query($sql);
        $row = mysql_fetch_array($res);
    }
    if ($row) {
        if ($enable_unicode == 'on') {
            convert_to_utf8($enable_unicode, $row, $mysql_lang);
        }
        $reply_title = 'Re: ' . preg_replace('/^Re:/', '', $row['title']);
        
        // generate quote box tags
        if (isset($qid)) {
            if (preg_match('/\[q2\]/', $row['comment'])) {
                $row['comment'] = '[q3]' .$row['comment']. '[/q3]';
            } elseif (preg_match('/\[q1\]/', $row['comment'])) {
                $row['comment'] = '[q2]' .$row['comment']. '[/q2]';
            } else {
                $row['comment'] = '[q1]' .$row['comment']. '[/q1]'; 
            }
        } else {
            $row['comment'] = '';
        }
        // Cookies
        if (isset($_COOKIE['p_blog_forum_user'])) {
            $user_name = $_COOKIE['p_blog_forum_user'];
            $checked   = 'checked="checked"';
        } else {
            $user_name = '';
            $checked   = '';
        }
        if (isset($_COOKIE['p_blog_forum_email'])) {
            $user_email = $_COOKIE['p_blog_forum_email'];
        } else {
            $user_email = '';
        }
        if (isset($_COOKIE['p_blog_forum_uri'])) {
            $user_uri = $_COOKIE['p_blog_forum_uri'];
        } else {
            $user_uri = '';
        }
        echo <<<EOD
<p class="flip-menu">
<a href="./index.php">{$lang['topic_list']}</a><a href="./add.php">{$lang['add_new']}</a><a href="./topic.php?tid={$tid}">{$lang['back_to_topic']}</a>
</p>
<h2>{$reply_title}</h2>
<form id="addform" action="./replied.php" method="post" onsubmit="return ForumReplyCheck()">
<div id="post-comment">
<dl>
<dt>{$lang['name']}</dt>
<dd><input type="text" accesskey="n" tabindex="2" name="user_name" value="{$user_name}" class="bordered" /></dd>
<dt>E-Mail</dt>
<dd><input type="text" accesskey="e" tabindex="3" name="user_email" value="{$user_email}" class="bordered" />({$lang['private']})</dd>
<dt>URI</dt>
<dd><input type="text" accesskey="u" tabindex="4" name="user_uri" value="{$user_uri}" size="30" class="bordered" /> ({$lang['optional']})</dd>
<dd><input type="checkbox" name="p_blog_forum_cookie" {$checked} />Cookie</dd>
<dt>{$lang['title']}</dt>
<dd><input type="text" accesskey="c" tabindex="5" name="title" value="" size="30" class="bordered" /> ({$lang['optional']})</dd>
<dt>{$lang['comment']}</dt>
<dd>
<input type="radio" accesskey="t" tabindex="6" name="color" value="0" checked="checked" /><span id="color-default">&clubs;</span>
<input type="radio" accesskey="t" tabindex="6" name="color" value="1" /><span id="color-1">&diams;</span>
<input type="radio" accesskey="t" tabindex="6" name="color" value="2" /><span id="color-2">&hearts;</span>
<input type="radio" accesskey="t" tabindex="6" name="color" value="3" /><span id="color-3">&spades;</span><br /></dd>
<dd><textarea accesskey="c" tabindex="7" rows="15" cols="30" name="comment">{$row['comment']}</textarea></dd>
<dt>{$lang['user_pass']}</dt>
<dd><input accesskey="p" tabindex="8" type="password" name="user_pass" value="" class="bordered" /></dd>
</dl>
<p id="comment-submit">
<input type="hidden" name="tid" value="{$tid}" />
<input type="hidden" name="parent_key" value="0" />
<input type="hidden" name="refer_id" value="{$row['refer_id']}" />
<input accesskey="r" tabindex="9" type="reset" value="RESET" />
<input accesskey="s" tabindex="10" type="submit" value="POST" />
</p>
</div>
</form>
EOD;
     }
} else {
    echo 'スレッドを取得出来ません。';
}
footer();
?>