<?php
/**
 * Functions for LOGS
 *
 * $Id: fnc_logs.inc.php, 2004/04/30 00:23:36 Exp $
 */


/**
 * Log Search Forms
 */
function display_log_search_form()
{
    global $lang, $xml_lang, $form_length, $search_plus_anchor;
    echo <<<EOD
<form id="search" action="./search.php" method="get">
<table summary="search data">
<tr><td>
<input tabindex="2" accesskey="k" type="text" name="k" value="" size="{$form_length}" title="{$lang['enter_keywords']}" />
</td><td>
<input type="submit" accesskey="g" tabindex="4" class="search-button" value="{$lang['go']}" />
<input type="hidden" name="d" value="" />
</td><td>
<a href="./search_plus.php" title="{$lang['advanced_search']}" class="search-plus">{$search_plus_anchor}</a>
<input type="hidden" name="p" value="0" />
<input type="hidden" name="c" value="0" />
<input type="hidden" name="pn" value="1" />
<input type="hidden" name="f" value="" />
</td></tr>
</table>
</form>
EOD;
}



/**
 * Past Archives Sort Form By Date (Monthly)
 */
function archive_by_date($sql) 
{
    global $lang;
    $res = mysql_query($sql);
    echo <<<EOD
<form id="archives" action="./search.php" method="get">
<div class="archive-by-date">
<input type="hidden" name="k" value="" />
<input type="hidden" name="p" value="0" />
<input type="hidden" name="c" value="0" />
<input type="hidden" name="pn" value="1" />
<select name="d" tabindex="3" onchange="if(document.forms.archives.d.value != '-'){this.form.submit();}" title="{$lang['show_archives']}">
<option value="-"  selected="selected">{$lang['archives']}</option>
<option value="-" disabled="disabled">- - -</option>
EOD;
    while ($date_row = mysql_fetch_row($res)) {
        $year_month = "".$date_row[0]."";
        echo '<option>'.$year_month."</option>\n";
    }
    echo <<<EOD
<option value="-" disabled="disabled">- - -</option>
<option value="all"> {$lang['all_data']} </option>
</select>
<noscript> 
<div class="noscript"><input type="submit" accesskey="s" tabindex="6" value="go" /></div>
</noscript>
</div>
</form>
EOD;
}


//================================================================
// MENU-BOX
//================================================================

/**
 * Category Menu Functions
 * @author : nakamuxu
 */
/* generate name array */
function categories_name_array($show_cat_num, $log_table, $enable_unicode, $mysql_lang) 
{
    $sql = 'SELECT category FROM ' . $log_table . ' WHERE draft = 0';
    $res = mysql_query($sql);
    $rowArray = array();
    while ($row = mysql_fetch_array($res)) {
        convert_to_utf8($enable_unicode, $row, $mysql_lang);
        $token = strtok($row['category'], ",");
        while ($token) {
            array_push($rowArray, trim($token));
            $token = strtok(",");
        }
    }
    if ($show_cat_num == 'yes') {
        $rowArray = array_count_values($rowArray);
        ksort($rowArray, SORT_STRING);
    } else {
        $rowArray = array_unique($rowArray);
        sort($rowArray, SORT_STRING);
    }
    return $rowArray;
}

/* Category menu style 1 : Form */
function display_categories_menu($show_cat_num, $log_table, $enable_unicode, $mysql_lang) 
{
    global $lang;
    $query_string = htmlspecialchars($_SERVER['QUERY_STRING']);
    echo "\n";
    echo <<<EOD
<form id="category" action="./category.php?{$query_string}" method="get">
<div class="category-menu">
<select name="k" tabindex="4" onchange="if(document.forms.category.k.value != '-'){this.form.submit();}" title="{$lang['category']}">
<option value="-" selected="selected">{$lang['category']}</option>
<option value="-" disabled="disabled">- - -</option>
EOD;
    if ($show_cat_num == 'yes'){
        foreach (categories_name_array($show_cat_num, $log_table, $enable_unicode, $mysql_lang) as $str=>$num) {
            echo '<option value="'.htmlspecialchars($str).'">'.htmlspecialchars($str).' ('.$num.")</option>\n";
        }
    } else {
        foreach (categories_name_array($show_cat_num, $log_table, $enable_unicode, $mysql_lang) as $str) { 
            echo '<option>'.htmlspecialchars($str)."</option>\n";
        }
    }
    echo <<<EOD
</select>
<input type="hidden" name="d" value="" />
<input type="hidden" name="p" value="0" />
<input type="hidden" name="pn" value="1" />
<input type="hidden" name="c" value="" />
<noscript> 
<div class="noscript"><input type="submit" accesskey="s" tabindex="6" value="go" /></div>
</noscript>
</div>
</form>
EOD;
}

/* Category menu style 2 : List */
function display_categories_list($show_cat_num, $log_table, $enable_unicode, $mysql_lang) 
{
    global $lang;
    echo <<<EOD
<div class="menu">
<h2>{$lang['category']}</h2>
<ul>
EOD;
    if ($show_cat_num == 'yes') {
        foreach (categories_name_array($show_cat_num, $log_table, $enable_unicode, $mysql_lang) as $str=>$num) {        
            echo '<li><a href="./category.php?k=' . rawurlencode($str) .
                 '&amp;d=&amp;p=0&amp;pn=1&amp;c=1">' .htmlspecialchars($str). ' (' .$num. ")</a></li>\n";
        }
    } else {
        foreach (categories_name_array($show_cat_num, $log_table, $enable_unicode, $mysql_lang) as $str) { 
            echo '<li><a href="./category.php?k=' . rawurlencode($str) .
                 '&amp;d=&amp;p=0&amp;pn=1&amp;c=1">' .htmlspecialchars($str). "</a></li>\n";
        }
    }
    echo <<<EOD
</ul>
</div>
EOD;
}



/**
 * Recent Entries
 * @author : nakamuxu
 */
function display_recent_entries($top_uri, $sql, $enable_unicode, $row, $mysql_lang) 
{
    global $lang;
    $res  = mysql_query($sql);
    $rows = mysql_num_rows($res);
    echo '<div class="menu">'."\n".
         '<h2>' . $lang['previous'] . $rows . $lang['logs'] . "</h2>\n".
         "<ul>\n";
    while ($row = mysql_fetch_array($res)) { 
        convert_to_utf8($enable_unicode, $row, $mysql_lang);
        echo '<li><a href="article.php?id='.$row['id'].'" title="'.$lang['category'].' = &quot;'.htmlspecialchars($row['category']).'&quot;">'.
             htmlspecialchars($row['name'])."</a></li>\n";
    }
    echo "</ul>\n</div>";
}



//================================================================
// CONTENT-BOX
//================================================================

/**
 * Article Box
 */
function display_article_box($row, $anchor) 
{
    global $xml_version, $lang, $show_date_title, $show_date_time, $date_style,
           $use_comment_link, $use_email_link,
           $cd, $session_status, $admin_dir_name, $id;
    echo '<div class="article-box">'."\n";
    // when in admin mode, change the directory of anchor image
    /*
    if ($cd == '..') {
         $anchor         = preg_replace('/src="\./', 'src="..', $anchor);
         $row['comment'] = preg_replace('/src="\./', 'src="..', $row['comment']);
    }
    */
    $anchor         = preg_replace('/src="\./', 'src="'.$cd, $anchor);
    $row['comment'] = preg_replace('/src="\./', 'src="'.$cd, $row['comment']);    
    
    switch ($xml_version) {
        case '1.1':
            $a_name = '';
            break;
        default:
            $a_name = 'name="a'.$row['id'].'" ';
            break;
    }
    // do not Link when anchor tag is "http://" only.
    if (($row['href']) == "http://") {
        echo "<h3 class=\"article-title\">\n".
             '<a id="a'.$row['id'].'" ' . $a_name . 'href="'.$cd.'/article.php?id='.$row['id'].'" title="Permalink" class="anchor">'.$anchor."</a>\n".
             ' '.$row['name']."</h3>\n";
    } else {
        echo "<h3 class=\"article-title\">\n".
             '<a id="a'.$row['id'].'" ' . $a_name . 'href="'.$cd.'/article.php?id='.$row['id'].'" title="Permalink" class="anchor">'.$anchor."</a>\n".
             '<a href="'.$row['href'].'">'.$row['name']."</a></h3>\n";
    }
    // Time format
    if ($show_date_title == 'yes') {
        switch($date_style) {
            case '1':
                $df = 'Y/m/d';
                break;
            case '2':
                $df = 'M d, Y';
                break;
            default:
                $df = 'Y-m-d';
                break;
        }
//        $row['date'] = date($df.' g:i:s A', strtotime($row['date'] + 9*3600));
//        $row['mod']  = date($df.' g:i:s A', strtotime($row['mod'] + 9*3600));        

        $row['date'] = date($df.' g:i:s A', strtotime($row['date']));
        $row['mod']  = date($df.' g:i:s A', strtotime($row['mod']));
    }
    if ($row['date'] != $row['mod']) {
        $row['date']  = date('g:i:s A', strtotime($row['date']));
        $mod_str = ',&nbsp;&nbsp;'.$lang['mod'].' :&nbsp;<strong>'.$row['mod'].'</strong>';
    } else {
        $row['date']  = date('g:i:s A', strtotime($row['date']));
        $mod_str = '';
    }
    
/*
        $row['date'] = gmdate($df.' g:i:s A', strtotime($row['date'])+$tz);
        $row['mod']  = gmdate($df.' g:i:s A', strtotime($row['mod'])+$tz);
    }
    if ($row['date'] != $row['mod']) {
        $row['date']  = gmdate('g:i:s A', strtotime($row['date'])+$tz);
        $mod_str = ',&nbsp;&nbsp;'.$lang['mod'].' :&nbsp;<strong>'.$row['mod'].'</strong>';
    } else {
        $row['date']  = gmdate('g:i:s A', strtotime($row['date'])+$tz);
        $mod_str = '';
    }
*/

    // show date time
    if ($show_date_time == 'yes') {
        $date_time = '<div class="date">' . $lang['post'] . ' :&nbsp;<strong>' . $row['date'] . '</strong>' . $mod_str . '</div>';
    } else {
        $date_time = '';
    }
    
    if (isset($id)) {
        $rdf = '<a href="'.$cd.'/rss/1.0.php?id='.sanitize(abs(intval($id))).'">'.
               '<image src="./images/rdf.png" width="36" height="14" id="rdf" alt="RDF" />'.
               '</a>';
    } else {
        $rdf = '';
    }
    
    echo <<<EOD
{$date_time}
<div class="comment">
{$row['comment']}
</div>
<div class="a-footer">{$row['category']}
EOD;
    // show comment link
    if (($use_comment_link == 'yes') && (@file_exists('./forum/index.php'))) {
        echo '&nbsp;&nbsp;';
        post_comment();
    }
    // show email link
    if ($use_email_link == 'yes') {
        echo '&nbsp;&nbsp;<a href="./var/index.php?id=feedback&amp;a_id=' . $row['id'] . '">email</a>';
    }
    echo $rdf;
    
    if ($session_status == 'on') {
        echo <<<EOD
<form action="{$cd}/{$admin_dir_name}/update.php" method="post">
<div class="submit-button">
<input type="hidden" name="id" value="{$row['id']}" />
<input type="hidden" name="mode" value="log" />
<input type="hidden" name="post_username" value="" />
<input type="hidden" name="post_password" value="" />
<input type="submit" value="{$lang['mod_del']}" />
</div>
</form>
EOD;
    }
    echo "</div>\n</div>\n";
}


/**
 * Post comment link (Option)
 */
function post_comment() 
{
    global $lang, $id, $row;    
    $tsql = 'SELECT tid FROM p_forum WHERE refer_id = ' . $row['id'];
    $tres = mysql_query($tsql);
    if ($tres) {
        $trow = mysql_num_rows($tres);
        $trows = mysql_fetch_array($tres);
        if ($trow == 0) {
            echo '&nbsp;-&nbsp;&nbsp;<a href="./forum/add.php?refer_id=' . $row['id'] . '">'.
                 'Post comment';
        } else {
            echo '&nbsp;-&nbsp;&nbsp;<a href="./forum/topic.php?tid=' . $trows['0'] . '">';
            if ($trow <= 1) {
                $cstr = ' comment';
            } else {
                $cstr = ' comments';
            }
            echo $trow . $cstr; // . ' (' . $trow . ')';
        }
        echo "</a>\n";
    } else {
        echo '<a href="./forum/index.php">Error</a>';
    }
}




// Deny direct access to this file
if (stristr($_SERVER['PHP_SELF'], ".inc.php")) {
    header("HTTP/1.1 301 Moved Permanently");
    header("Location: http://" . $_SERVER['SERVER_NAME'] . dirname($_SERVER['REQUEST_URI']) . "/index.php");
}
?>