<h1><?= P_BLOG_VERSION ?> Manual</h1>
<hr />
<p class="flip-menu">
 <a href="./index.php">TOP</a> <a href="./index.php?id=en_00">INDEX</a> <span class="cur-tab">CUSTOMIZING XHTML<span>
</p>
<hr />
<h2>CUSTOMIZING XHTML</h2>
<h3>USING ADDITIONAL CUSTOM USER MENU</h3>
<p>You can add your own defined menu to the middle and the bottom of the navigation menu. </p>
<h4>OK, Where are the files？</h4>
<p>They are all in <span class="blue">include/user_include</span>.  Each name of the file tells the place to display.</p>
<p>
<span class="red">(Ex)</span><br />
&quot;<span class="blue">menu_bottom</span>.inc.txt-sample&quot; =&gt; &quot;<span class="blue">Botton of the menu</span>&quot;
</p>
<h4>How can I make these ON?</h4>
<p>Removing &quot;<span class="red">-sample</span>&quot; from the name of the file, your custom menu will be displayed automatically.</p>

<h3>XHTML CODES &amp; Functions ARE IN &quot;fnc_*.inc.php&quot;</h3>
<p>Basic XHTML tags are functionalized and organized in <span class="red"><strong>func_*.inc.php</strong></span>, so please refer to it when you need to.</p>
<h4>HINTS:</h4>
<p>Here's a coding style example:</p>
<div class="command">
<pre><span class="blue">echo&nbsp;&lt;&lt;&lt;EOD</span>
&lt;tag&gt;XHTML contents{<span class="red">$PHP_VAR</span>}&lt;/tag&gt;
&lt;tag&gt;XHTML contents{<span class="red">$PHP_VAR</span>}&lt;/tag&gt;
&lt;tag&gt;XHTML contents{<span class="red">$PHP_VAR</span>}&lt;/tag&gt;
<span class="blue">EOD;</span>
</pre>
</div>
<p>Here document ID is <span class="red">&quot;EOD&quot;</span>  (to make finding XHTML tags easier), and most of  the PHP variables used in functions are in curly blacket.</p>
<h3>NOTICE:</h3>
<p>Don't forget to backup before you cosutomize. </p>
<h3>P_BLOG XHTML Structure</h3>
<p>See &rarr; <a href="./contents/xhtml_class_chart.html">P_BLOG XHTML Structure &amp; Classes</a></p>
<hr />
