<h1><?= P_BLOG_VERSION ?> マニュアル</h1>
<hr />
<p class="flip-menu">
<a href="./index.php">TOP</a> <a href="./index.php?id=ja_00">索引</a> <span class="cur-tab">PHPの環境設定</span>
</p>
<hr />
<h2>PHPの環境設定</h2>
<h3>アップロード上限値を設定する</h3>
<p>PHP「POST」のMAX値は8MB、ファイルアップロードMAX値は2MBに設定されています。
それ以上のサイズのファイルをアップロード可にするには、<span class="blue">"/usr/local/lib/php.ini"</span>ファイルの以下の
部分を書き換えます。
</p>
<div class="command">
<pre>
310行目あたり
post_max_size = <span class="red">8M</span> 

378行目あたり
upload_max_filesize = <span class="red">2M</span>
</pre>
</div>
<p>を</p>
<div class="command">
<pre>
post_max_size = <span class="red">100M</span>
upload_max_filesize = <span class="red">100M</span>
</pre>
</div>
<p>のように変更して下さい。</p>
<p>もしあなたがphp.iniを編集出来る権限がない場合はシステム管理者にご相談下さい。</p>

<hr />